AI Driving Olympics Home Challenges Submissions Jobs

Submission 3893

Submission3893
Competingyes
Challengeaido2-LF-sim-validation-offseason
Userchuyj
Date submitted
Complete
DetailsEvaluation is complete.
Sisters
Result💔
Jobsstep1-simulation: 24095
Next
User labelChuyj Submission
Admin priority50
Blessing50
User priority

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
240953893chuyjChuyj Submissionaido2-LF-sim-validation-offseasonstep1-simulationfailedyes-0:02:26
InvalidSubmission: T [...]
InvalidSubmission:
Traceback (most recent call last):
  File "experiment_manager.py", line 296, in run_episode
    agent.write_topic_and_expect_zero('observations', recv.data.observations)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 102, in write_topic_and_expect_zero
    nickname=self.nickname)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 255, in read_reply
    others = read_until_over(fpout, timeout=timeout, nickname=nickname)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 283, in read_until_over
    raise RemoteNodeAborted(m)
zuper_nodes.structures.RemoteNodeAborted: External node "agent" aborted:

error in agent |Exception while handling a message on topic "observations".
               |
               || Traceback (most recent call last):
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper.py", line 274, in loop
               ||     handle_message_node(parsed, receiver0, context0)
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper.py", line 428, in handle_message_node
               ||     call_if_fun_exists(agent, expect_fn, data=ob, context=context, timing=timing)
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/utils.py", line 18, in call_if_fun_exists
               ||     f(**kwargs)
               ||   File "solution.py", line 38, in on_received_observations
               ||     print(f"on_received_obs:{Duckiebot1Observations.shape}")
               || AttributeError: type object 'Duckiebot1Observations' has no attribute 'shape'
               ||

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/project/src/duckietown-challenges/src/duckietown_challenges/cie_concrete.py", line 610, in scoring_context
    yield cie
  File "experiment_manager.py", line 441, in <module>
    wrap(cie)
  File "experiment_manager.py", line 429, in wrap
    main(cie, logdir, attempts)
  File "experiment_manager.py", line 135, in main
    physics_dt=config.physics_dt)
  File "experiment_manager.py", line 301, in run_episode
    raise dc.InvalidSubmission(msg) from e
duckietown_challenges.exceptions.InvalidSubmission: Trouble with communication to the agent.
Hidden. If you are the author, please login using the top-right link or use the dashboard.